Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1054295 - add some text field to determine in which section we are with a11y (orca reader)
Summary: add some text field to determine in which section we are with a11y (orca reader)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: control-center
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Bastien Nocera
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-16 15:02 UTC by Vladimir Benes
Modified: 2016-03-14 09:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 08:24:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
a patch (797 bytes, patch)
2014-01-18 16:13 UTC, Matthias Clasen
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2157 0 normal SHIPPED_LIVE control-center bug fix and enhancement update 2015-11-19 08:48:59 UTC

Description Vladimir Benes 2014-01-16 15:02:21 UTC
Description of problem:
I need to see in which section I am in. There is no way how to do it in 3.8. In 3.11 the widget is there.  

Version-Release number of selected component (if applicable):
control-center-3.8.6-5.el7.x86_64

Comment 1 Vladimir Benes 2014-01-16 15:21:24 UTC
Ideally, orca should see panel name and should tell it out to user

Comment 2 Matthias Clasen 2014-01-18 16:13:18 UTC
Created attachment 852052 [details]
a patch

I couldn't figure out how to get orca to say 'Background' when you open the panel. Here is a patch that adds an accessible name to the big button, at least. So, when you tab into the panel, orca will say 'Select Background push button', which is a little better.

Comment 3 RHEL Program Management 2014-03-22 06:12:49 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 5 Bastien Nocera 2015-04-07 12:50:52 UTC
This should already be fixed in the rebased GNOME in 7.2. Could you please retest with 7.2 when it's available in Beta?

Comment 6 Vitezslav Humpa 2015-05-12 13:30:37 UTC
Yes, with the 3.14 rebase testing packages, when inside a section, the a11y 'Frame' object now has the section name as 'name' (control-center-3.14.4-2.el7.x86_64)

Comment 9 Bohdan Milar 2015-09-08 13:20:08 UTC
Tested versions:
control-center-3.8.6-18.el7
control-center-3.14.5-8.el7

Results:
- In "All Settings" window (frame) of the gnome-control-center, Orca reads the name of the panel before the icon name (e. g. "Hardware panel, power icon") when (and only when) you move focus from one icon to an icon situated in another panel. Tested on x86_64 by Orca.
- Name of the gnome-control-center window (frame) changes when a module is activated. Checked by sniff on x86_64, ppc64le, aarch64.

Comment 11 errata-xmlrpc 2015-11-19 08:24:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2157.html


Note You need to log in before you can comment on or make changes to this bug.